summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-benchmarks/ramspeed')
-rw-r--r--app-benchmarks/ramspeed/Manifest1
-rw-r--r--app-benchmarks/ramspeed/metadata.xml11
-rw-r--r--app-benchmarks/ramspeed/ramspeed-3.5.0-r2.ebuild61
3 files changed, 73 insertions, 0 deletions
diff --git a/app-benchmarks/ramspeed/Manifest b/app-benchmarks/ramspeed/Manifest
new file mode 100644
index 00000000000..462a29c27db
--- /dev/null
+++ b/app-benchmarks/ramspeed/Manifest
@@ -0,0 +1 @@
+DIST ramsmp-3.5.0.tar.gz 79481 SHA256 39fb15493fb3c293575746d56f6ab9faaa1d876d8b1f0d8e5a4042d2ace95839 SHA512 175cd2e568e4efdb1225e3c5319950376c4834633dd618324cf4268c762213733ed67ea94b4e5835b0259483e88afd2e9d9a3fde63515b8b25e5ec0b51f16b0e WHIRLPOOL 2e35adb0aa58a2d5ec81d64ab50bcfc3a7c831798aa13c62d80d2bfb907dcb048087047fd68fe9e7ccbd838848235bca5ee44ba6b203ac07c9945a7ea88a7447
diff --git a/app-benchmarks/ramspeed/metadata.xml b/app-benchmarks/ramspeed/metadata.xml
new file mode 100644
index 00000000000..2283e9816ae
--- /dev/null
+++ b/app-benchmarks/ramspeed/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>jlec@gentoo.org</email>
+ <name>Justin Lecher</name>
+ </maintainer>
+ <use>
+ <flag name="pic">Force shared libraries to be built as PIC (this is slower)</flag>
+ </use>
+</pkgmetadata>
diff --git a/app-benchmarks/ramspeed/ramspeed-3.5.0-r2.ebuild b/app-benchmarks/ramspeed/ramspeed-3.5.0-r2.ebuild
new file mode 100644
index 00000000000..b654cce8452
--- /dev/null
+++ b/app-benchmarks/ramspeed/ramspeed-3.5.0-r2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit flag-o-matic toolchain-funcs
+
+MY_PN="ramsmp"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Benchmarking for memory and cache"
+HOMEPAGE="http://www.alasir.com/software/ramspeed/"
+SRC_URI="http://www.alasir.com/software/${PN}/${MY_P}.tar.gz"
+
+LICENSE="Alasir"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="cpu_flags_x86_sse pic"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure(){
+ local obj
+ local arch_prefix=./
+
+ use x86 && arch_prefix=i386/
+ use amd64 && arch_prefix=amd64/
+
+ tc-export CC AS
+
+ #fix the stack
+ append-ldflags -Wl,-z,noexecstack
+ obj=( ramsmp.o ${arch_prefix}{fltmark,fltmem,intmark,intmem}.o )
+
+ use pic && append-ldflags -nopie
+
+ if use amd64; then
+ sed -i \
+ -e 's/call.*free/call\tfree@PLT/' \
+ -e 's/call.*gettimeofday/call\tgettimeofday@PLT/' \
+ -e 's/call.*malloc/call\tmalloc@PLT/' \
+ ${arch_prefix}/*.s || die
+ fi
+
+ use x86 && obj+=( ${arch_prefix}{cpuinfo/cpuinfo_main,cpuinfo/cpuinfo_ext}.o )
+
+ if use cpu_flags_x86_sse; then
+ use x86 && append-flags "-DLINUX -DI386_ASM"
+ use amd64 && append-flags "-DLINUX -DAMD64_ASM"
+ obj+=( ${arch_prefix}{mmxmark,mmxmem,ssemark,ssemem}.o )
+ fi
+
+ echo "ramsmp: ${obj[@]}" > Makefile
+}
+
+src_install(){
+ dobin ramsmp
+ dosym ramsmp /usr/bin/ramspeed
+ dodoc HISTORY README
+}